# Changelog
Все основные изменения будут документироваться здесь.

Формат базируется на [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).

## [x.x.x] - unreleased

## [0.3.release] - 2023-04-26

## [0.3.rc3] - 2023-04-24
- Добавлен доступ для пользователя termidesk в шину ru.uveon.stal

## [0.3.rc2] - 2023-03-27

### Fixed
- STAL-76: исправлен креш stal proxy: write + SIGPIPE
- STAL-63: обновили systemd units и debian postinst/postrm скрипты

### Added
- STAL-75: Включена генерация NTLM ключа в $HOME/.stal/nla
- Добавлен DBus метод busSessionDomainRequest (с доменом для NTLM)

## [0.3.rc1] - 2023-03-20

### Added
- STAL-59: Добавлен syslog rules для proxy
- STAL-55: Добавлено подписание бинарных файлов в deb пакете для Astra Linux 1.7.x

### Fixed
- STAL-57: Исправлены зависимости запуска для systemd units proxy/stal
- STAL-56: Исправлен owner для файлов пакета
- STAL-54: Исправлен список программ для режима seamless

## [0.3.b3] - 2023-03-06

### Added
- STAL-53: Добавлен zabbix template
- STAL-46: Добавлено получение списка приложений из системного applications desktop
- STAL-45: Добавлена автоматическая загрузка карты клавиатурных кодов в сессию (session:setxkbmap)
- STAL-40: Добавлен список программ для режима seamless (/etc/stal/programs.json)
- STAL-37: Добавлено автозакрытие сессии в режиме seamless
- Добавлен DBus метод stalProgramList (получение списка программ для режима seamless)
- Добавлен DBus метод stalLoadAverage (получение средней загрузки системы)
- Добавлен DBus метод stalUserInfoJson (получение информации о сессии пользователя)
- Добавлен DBus метод stalSessionInfoJson (получение информации о сессии по номеру)
- Добавлен DBus метод stalConnectRdpTransport (запустить транспорт для сессии)
- Добавлен DBus сигнал signalSessionConnected (транспорт подключился к сессии)

## [0.3.b2] - 2023-02-27

### Added
- STAL-35: Добавлена нотификация в сессию при коннекте
- STAL-25: Добавлена поддержка запуска сессии в режиме одного приложения
- STAL-32: Изменение размера экрана от СессионногоАгента
- STAL-30: Добавлена поддержка Kerberos с локальным билетом
- Добавлены скрипты для тестов в /usr/share/doc/stal/tests
- Добавлена инструкция README в /usr/share/doc/stal
- Добавлен DBus метод proxyListenTimeout (установить listen таймаут для прокси)
- Добавлен DBus метод stalSessionGeometry (установить размер экрана сессии)

## [0.3.b1] - 2023-02-03

### Added
- Добавлено правило ufw/applications для proxy
- Добавлены дополнительные сессионные логи (в $HOME/.stal)
- Добавлен DBus метод stalRdpSecurityPolicy (установить политику безопасности RDP)
- Добавлен DBus метод stalSessionInactivityLimit (установить таймаут бездействия сессии)
- Добавлен DBus метод stalSessionDurationLimit (установить таймаут продолжительности сессии)
- Добавлен DBus метод stalSendNotify (отправить сообщение в сессию с уровнями info,warning,error)
- Добавлена программа stal_proxy (proxy коннектов RDP)

## [0.2.0] - 2022-12-12

### New
- MVP прототип
